import { OnInit } from '@angular/core';
import { ConfigService, ElectronService } from 'terminus-core';
import { ToastrService } from 'ngx-toastr';
import { Connection } from 'api';
import { PasswordStorageService } from 'services/PasswordStorage.service';
/** @hidden */
export declare class SyncConfigSettingsTabComponent implements OnInit {
    config: ConfigService;
    private toastr;
    private electron;
    private passwordStorage;
    private isUploading;
    private isDownloading;
    constructor(config: ConfigService, toastr: ToastrService, electron: ElectronService, passwordStorage: PasswordStorageService);
    ngOnInit(): void;
    private dateFormat;
    sync(isUploading: boolean): Promise<void>;
    viewGist(type: string, gist: string): void;
    saveSSHPluginAllPasswordInfos(conns: Connection[]): Promise<void>;
    getSSHPluginAllPasswordInfos(): Promise<Connection[]>;
}
